#!/bin/bash

set -e

#dart run build_runner build --delete-conflicting-outputs
flutter build appbundle --flavor dev --target-platform android-arm,android-arm64,android-x64 -t lib/main_dev.dart
flutter build ipa --flavor dev -t lib/main_dev.dart

cd android
fastlane android deploy_dev
cd ../ios
fastlane ios deploy_dev_tf

echo "Deployment completed successfully!"